@use '../../../../../../../libs/shared/styles/src/mixins/a11y--sr-only' as a11y;

:host {
	display: block;

	.digi-docs-token-copy {

		&__button {
			--digi--button--color--text--function--default: var(--digi--color--text--neutral);
			--digi--button--color--text--function--hover: var(--digi--color--text--neutral);
			opacity: .7;

			&:hover,
			&:focus {
				opacity: 1;
			}
		}

		&__a11y-sr-only {
			@include a11y.digi--a11y--sr-only;
		}
  }
}
